package org.jeecg.modules.flowable.apithird.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.flowable.apithird.business.entity.SysExpression;
import org.jeecg.modules.flowable.apithird.business.mapper.SysExpressionMapper;
import org.jeecg.modules.flowable.apithird.business.service.ISysExpressionService;
import org.jeecg.modules.flowable.common.utils.DateUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 流程达式Service业务层处理
 *
 * @author ruoyi
 * @date 2022-12-12
 */
@Service
public class SysExpressionServiceImpl extends ServiceImpl<SysExpressionMapper, SysExpression> implements ISysExpressionService {



    /**
     * 查询流程达式
     *
     * @param id 流程达式主键
     * @return 流程达式
     */
    @Override
    public SysExpression selectSysExpressionById(Long id)
    {
        return this.baseMapper.selectSysExpressionById(id);
    }

    /**
     * 查询流程达式列表
     *
     * @param sysExpression 流程达式
     * @return 流程达式
     */
    @Override
    public List<SysExpression> selectSysExpressionList(SysExpression sysExpression)
    {
        return this.baseMapper.selectSysExpressionList(sysExpression);
    }

    /**
     * 新增流程达式
     *
     * @param sysExpression 流程达式
     * @return 结果
     */
    @Override
    public int insertSysExpression(SysExpression sysExpression)
    {
        sysExpression.setCreateTime(DateUtils.getNowDate());
        return this.baseMapper.insertSysExpression(sysExpression);
    }

    /**
     * 修改流程达式
     *
     * @param sysExpression 流程达式
     * @return 结果
     */
    @Override
    public int updateSysExpression(SysExpression sysExpression)
    {
        sysExpression.setUpdateTime(DateUtils.getNowDate());
        return this.baseMapper.updateSysExpression(sysExpression);
    }

    /**
     * 批量删除流程达式
     *
     * @param ids 需要删除的流程达式主键
     * @return 结果
     */
    @Override
    public int deleteSysExpressionByIds(Long[] ids)
    {
        return this.baseMapper.deleteSysExpressionByIds(ids);
    }

    /**
     * 删除流程达式信息
     *
     * @param id 流程达式主键
     * @return 结果
     */
    @Override
    public int deleteSysExpressionById(Long id)
    {
        return this.baseMapper.deleteSysExpressionById(id);
    }
    /**
     * 查询流含bpm_status 流程状态字段的 业务表列表
     *
     * @param
     * @return 含bpm_status 流程状态字段的 业务表集合
     */
    public List<SysExpression> selectTableNameList(){
        return this.baseMapper.selectTableNameList();
    }
}
